Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## ch.mimo.netty.handler.codec.icap
Enum IcapMessageElementEnum

    java.lang.Object
      java.lang.Enum<IcapMessageElementEnum>
          ch.mimo.netty.handler.codec.icap.IcapMessageElementEnum

All Implemented Interfaces:
  Serializable, Comparable<IcapMessageElementEnum>

    public enum IcapMessageElementEnum

extends Enum<IcapMessageElementEnum>

This enum contains all valid ICAP message element names that can occur in an @see `Encapsulated` header.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)

Enum Constant Summary
`NULLBODY`
`OPTBODY`
`REQBODY`
`REQHDR`
`RESBODY`
`RESHDR`

Method Summary
`static IcapMessageElementEnum` | `fromString(String value)`
`String` | `getValue()`
`static IcapMessageElementEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IcapMessageElementEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REQHDR

    public static final IcapMessageElementEnum REQHDR

### RESHDR

    public static final IcapMessageElementEnum RESHDR

### REQBODY

    public static final IcapMessageElementEnum REQBODY

### RESBODY

    public static final IcapMessageElementEnum RESBODY

### OPTBODY

    public static final IcapMessageElementEnum OPTBODY

### NULLBODY

    public static final IcapMessageElementEnum NULLBODY

Method Detail

### values

    public static IcapMessageElementEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IcapMessageElementEnum c : IcapMessageElementEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IcapMessageElementEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getValue

    public String getValue()

### fromString

    public static IcapMessageElementEnum fromString(String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011. All Rights Reserved.